
QGIS Application - Feature request #4124

Add support for wfs 1.1.0

2011-08-01 04:00 AM - Lauri Kajan

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Web Services clients/WFS

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14105

Description

I'm in a trouble finding suitable wfs 1.1.0 client.

Currently wfs plugin supports only wfs version 1.0.0.

There aren't many clients that support 1.1.0 so it would be great if QGIS was one of those.

Related issues:

Duplicated by QGIS Application - Bug report # 3991: WFS 1.1 data is not displ... Closed 2011-06-16

History

#1 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-05 06:13 AM - Anita Graser

- Assignee set to Marco Hugentobler

- Target version changed from Version 1.7.4 to 35

Some work seems to have happened in trunk, but WFS 1.1.0 layers still don't display.

e.g. http://data.wien.gv.at/daten/wfs

#3 - 2012-04-15 10:00 AM - Giovanni Manghi

- Target version changed from 35 to Version 1.8.0

#4 - 2012-04-15 10:06 AM - Giovanni Manghi

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2014-07-29 03:07 AM - Paolo Cavallini

- Status changed from Open to Feedback

Isn't this fixed?

#7 - 2014-07-29 02:19 PM - Anita Graser

It seems to work now with above mentioned WFS but I don't know exactly since when ....
#8 - 2014-07-30 12:51 AM - Paolo Cavallini

Better close it then?

#9 - 2014-07-30 02:03 AM - Anita Graser

Nevermind, I think they enabled WFS 1.0 server-side again, so I don't have a 1.1-only server to test. Do you happen to know any?

#10 - 2014-08-10 06:49 PM - Carsten Friedrich

I still have this problem. E.g. with the server http://www.mrt.tas.gov.au:80/web-services/wfs.

The failed request submitted by QGis in my case is:

http://www.mrt.tas.gov.au/web-services/wfs?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38;TYPENAME=gsmlp:BoreholeVie

&#38;SRSNAME=EPSG:4283

#11 - 2014-08-13 05:51 AM - Tilman Brock

The request 

http://gateway.hamburg.de/OGCFassade/DE_HH_WFS_INSPIRE_A1_5_Adressen.aspx?SERVICE=WFS&#38;REQUEST=GetCapabilities&#38;VERS

ON=1.0.0 (note the version=1.0.0 in the query string) yields a WFS 1.1.0 response. When loaded in QGis, this will fail.

The version upgrade is according to the WFS service version negotiation specification, as seen in https://portal.opengeospatial.org/files/?artifact_id=7176

, Part 6.2.4:

If the client request is for a version lower than any of those known to the server, then the server must send the lowest version it knows.

#12 - 2015-09-22 07:18 AM - Kay Warrie

I am having similar issue's with the flemish Mobile Mapping WFS: 

https://viewer.image-v.be/MM_Opnameposities?service=WFS&#38;request=GetCapabilities&#38;version=1.0.0 --> also return's only 1.1.0 responses

even if you request a 1.0.0 one.

#13 - 2016-06-07 02:01 AM - Håvard Tveite

Support for WFS 1.1 (and 2.0) in QGIS would be great!

A WFS service that only supports versions 1.1 and 2.0:

http://wfs.geonorge.no/skwms1/wfs.skolerogbarnehager

QGIS 2.14.3 says: "Either the WFS server does not support WFS version 1.0.0 or the WFS url is wrong".

#14 - 2016-06-07 02:18 AM - Even Rouault

- Status changed from Feedback to Closed
- Target version changed from Future Release - Nice to have to Version 2.16

Support for WFS 1.1.0 and 2.0.0 has been added in QGIS 2.16. Note: this is still limited to simple feature profiles (so layers such as the one of 

http://wfs.geonorge.no/skwms1/wfs.skolerogbarnehager will not work)
